This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 228495 - Review Request: hunspell-pt - Portuguese hunspell dictionaries
Review Request: hunspell-pt - Portuguese hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-13 07:04 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 09:43:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-02-13 07:04:57 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-pt.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-pt-0.20061026-1.src.rpm
Description: Portuguese hunspell dictionaries


Similar to 227811
Comment 1 manuel wolfshant 2007-02-14 05:44:27 EST
 There are two dictionaries included, for pt_PT and pt_BR; each one comes with a
Readme file (Leia-me.pdf). As they are not completely identical (for instance
ine of them clarifies the license, while the other does not), please consider
packaging them both
 
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
0f000c39d4879c5008efe51d34daea89a94da271  pt_BR-2700g.zip
5b6c2f9d6e45b185174e2950e2b1e3a9fa1b6dd4  pt_PT-2700C.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- MUSTFIX the license (GPL) stated in the tag is not the same as the web site
says. http://www.broffice.org.br/?q=docs claims "Creative Commons (padrão) - GNU
FDL - ODL" while one of the included readme files claims LGPL.
- the package includes just word lists + docs with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

please fix the differences between the license tag and the ones from upstream
and I will approve the package. Please also try to persuade upstream to include
 the licenses in the archives.
Comment 2 Caolan McNamara 2007-02-14 06:17:10 EST
It's a little confusing here, the http://www.broffice.org.br/?q=docs page seems
to be the license for "collaboration with the Documentation of the BrOffice.org
in case that you have developed some proper documentation (tutorial, etc)" while
at http://www.broffice.org.br/?q=verortografico from where the dictionary
website makes these available for download has text of roughly...

"It is easy to collaborate, sees. You observe, when typing one definitive text
in the BrOffice.org, that an incorrect word was colored in red. There you in
them send an email telling this word. If to prefer will be able to join a series
of words and to send them later. The same valley for incorrect words that are
validated by the Ortográfico Verifier. It saw as is easy? Then, what you are
waiting. IT ROLLS UP SLEEVES, and it comes to participate of this project.
Remembering that our participation is voluntary and is based in license LGPL.
Our email is in the end of this page."

So the pt-PT has a readme saying it is LGPL and the pt-BR doesn't have one in
the package, but the broffice.org people who wrote the pt-BR dictionary state on
the download page that participation by submitting to the dictionary will be
under the LGPL. Hence I've adjusted the licence to be LGPL in the spec.
Comment 3 manuel wolfshant 2007-02-14 06:22:42 EST
Me too I would have modified the tag to LGPL :)
Once the servers sync I'll verify and approve.
Comment 4 manuel wolfshant 2007-02-14 07:11:00 EST
Problems fixed. Package APPROVED

(Would have done it sooner if the separate .spec was updated too...)
Comment 5 Caolan McNamara 2007-02-15 09:43:44 EST
 27643 (hunspell-pt): Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.